%{?nodejs_find_provides_and_requires}

Name:           rew-nodejs-bless
Version:        3.0.3
Release:        1%{?dist}
Summary:        CSS Post-Processor

# cssmin.js is licensed under BSD license
# everything else is ASL 2.0
License:        ASL 2.0 and BSD

URL:            http://blesscss.com/
Source0: http://registry.npmjs.org/bless/-/bless-%{version}.tgz

# Since we're installing this in a global location, fix the require()
# calls to point there.
Patch0002: 0002-Require-include-files-from-the-default-location.patch

BuildArch:      noarch
BuildRequires:  rew-nodejs-devel
Requires:       rew-nodejs
ExclusiveArch:  %{ix86} %{arm} x86_64 noarch

Provides:  blessjs = %{version}-%{release}
Obsoletes: blessjs < 3.0.2

%description
Bless provides an elegant solution to a lesser-known bug in Internet Explorer
which causes CSS to be completely ignored. It runs server-side and on your
local machine with Node.js

%prep
%setup -q -n package

%patch0002 -p1

# Remove pre-built files from the dist/ directory
rm -f dist/*.js

%build
# Nothing to be built, we're just carrying around flat files

%check
make %{?_smp_mflags} test


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{nodejs_sitelib}/bless
chmod a+x bin/blessc
cp -rp bin package.json lib/bless/* %{buildroot}/%{nodejs_sitelib}/bless

# Install /usr/bin/blessc
ln -s %{nodejs_sitelib}/bless/bin/blessc \
      %{buildroot}%{_bindir}

%nodejs_symlink_deps

%files
%doc LICENSE README.md
%{_bindir}/blessc
%{nodejs_sitelib}/bless


%changelog
* Fri Jun 20 2014 Steven Barre <steven@realestatewebmasters.com> - 3.0.3-1
- initial packaging
